/**
 * DevExtreme (cjs/__internal/grids/grid_core/keyboard_navigation/dom.js)
 * Version: 24.1.7-build-24279-1936
 * Build date: Sat Oct 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.GridCoreKeyboardNavigationDom = void 0;
var _const = require("./const");
const isDragCell = $cell => void 0 !== $cell.attr(_const.ATTRIBUTES.dragCell);
const getFocusableCellSelector = columnIndex => [`[${_const.ATTRIBUTES.ariaColIndex}="${columnIndex+1}"]`, `:not([${_const.ATTRIBUTES.dragCell}])`, ":not([aria-hidden=true])"].join("");
const getCellToFocus = ($cellElements, columnIndex) => $cellElements.filter(getFocusableCellSelector(columnIndex)).first();
const GridCoreKeyboardNavigationDom = exports.GridCoreKeyboardNavigationDom = {
    isDragCell: isDragCell,
    getCellToFocus: getCellToFocus
};
