/**
 * DevExtreme (esm/__internal/grids/data_grid/m_utils.js)
 * Version: 24.1.7-build-24279-1936
 * Build date: Sat Oct 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    normalizeSortingInfo
} from "../../../data/utils";
import gridCoreUtils from "../../grids/grid_core/m_utils";
export function createGroupFilter(path, storeLoadOptions) {
    const groups = normalizeSortingInfo(storeLoadOptions.group);
    const filter = [];
    for (let i = 0; i < path.length; i++) {
        filter.push([groups[i].selector, "=", path[i]])
    }
    if (storeLoadOptions.filter) {
        filter.push(storeLoadOptions.filter)
    }
    return gridCoreUtils.combineFilters(filter)
}
