/**
 * DevExtreme (esm/viz/vector_map/control_bar/utils.js)
 * Version: 24.1.7-build-24279-1936
 * Build date: Sat Oct 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
export const createTracker = (renderer, root) => renderer.g().attr({
    stroke: "none",
    "stroke-width": 0,
    fill: "#000000",
    opacity: 1e-4
}).css({
    cursor: "pointer"
}).append(root);
export const createVisibilityGroup = function(renderer, root) {
    let className = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : "";
    return renderer.g().attr({
        class: className
    }).append(root)
};
export const toggleDisplay = (blocks, isVisible) => {
    const style = isVisible ? {
        display: "block"
    } : {
        display: "none"
    };
    blocks.map((item => item.css(style)))
};
